INTERFACE
SUBROUTINE M7_EMI&
 & ( KIDIA , KFDIA , KLON , KLEV , KSW , KTILES , KTRACER,&
 & LDLAND,&
 & PALB , PALBP , PAPH , PCI , PDENS , PDEP ,&
 & PFRTI , PFWMLT, PGELAM, PGEMU , PGUST , PHSDFOR,&
 & PLSM , PSNS , PTIA , PTS , PTSPHY, PWIND ,&
 & PWS1 , PWSMX ,&
 & PBCBF , PBCFF , PBCGF , POMBF , POMFF , POMGF ,&
 & PSO2L , PSO2H , PSOGF , PVOLC , PVOLE , PSOA , PDMS,&
 & PCFLX , PCEN , PAERODDF, PAEROU1&
 & ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YO_AERO_M7,ONLY : nm7aer, nseasalt, naermod, nmod
USE YOM_YGFL ,ONLY : NGHG, NGRG, NTRAC, NACTAERO
INTEGER(KIND=JPIM),INTENT(IN) :: KLON , KIDIA, KFDIA, KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KSW , KTILES
INTEGER(KIND=JPIM),INTENT(IN) :: KTRACER
LOGICAL ,INTENT(IN) :: LDLAND(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPH(KLON,0:KLEV), PDENS(KLON,KLEV), PFRTI(KLON,KTILES)
REAL(KIND=JPRB) ,INTENT(IN) :: PALB(KLON) , PALBP(KLON,KSW)
REAL(KIND=JPRB) ,INTENT(IN) :: PCI(KLON) , PFWMLT(KLON), PDEP(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PGELAM(KLON), PGEMU(KLON) , PGUST(KLON), PHSDFOR(KLON), PLSM(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PSNS(KLON) , PTIA(KLON) , PTS(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PWIND(KLON) , PWS1(KLON) , PWSMX(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PBCBF(KLON) , PBCFF(KLON) , PBCGF(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: POMBF(KLON) , POMFF(KLON) , POMGF(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PSO2L(KLON) , PSO2H(KLON) , PSOGF(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PVOLC(KLON) , PVOLE(KLON) , PSOA(KLON) , PDMS(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PTSPHY
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCFLX(KLON,KTRACER), PCEN(KLON,KLEV,KTRACER)
REAL(KIND=JPRB) ,INTENT(OUT) :: PAERODDF(KLON,NACTAERO,8), PAEROU1(KLON,KLEV)
END SUBROUTINE M7_EMI
END INTERFACE
